<?php

class Creativ_Business_Cta_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'creativ-construction-cta',
			__( 'Creativ Construction: Call to action', 'creativ-construction' ),
			array(
				'description' => __( 'Displays Call to Action', 'creativ-construction' ),
				),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Enter Heading', 'creativ-construction' ),
				),
				'description' => array(
					'type'  => 'textarea',
					'label' => __( 'Enter Description', 'creativ-construction' ),
				),
				'buttonOne_title' => array(
					'type'  => 'text',
					'label' => __( 'Enter Button 1 Name', 'creativ-construction' ),
				),
				'buttonOne_url' => array(
					'type'  => 'link',
					'label' => __( 'Enter Button 1 Url', 'creativ-construction' ),
				),
				'buttonTwo_title' => array(
					'type'  => 'text',
					'label' => __( 'Enter Button 2 Name', 'creativ-construction' ),
				),
				'buttonTwo_url' => array(
					'type'  => 'link',
					'label' => __( 'Enter Button 2 Url', 'creativ-construction' ),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}
}

siteorigin_widget_register( 'creativ-construction-cta', __FILE__, 'Creativ_Business_Cta_Widget' );
