<?php

class Creativ_Business_Logo_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'creativ-construction-logo',
			__( 'Creativ Construction: Logo', 'creativ-construction' ),
			array(
				'description' => __( 'Displays List of Logo Partners', 'creativ-construction' ),
			),
			array(),
			array(
				'posts' => array(
					'type'  => 'posts',
					'label' => __( 'Posts', 'creativ-construction' ),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}
}

siteorigin_widget_register( 'creativ-construction-logo', __FILE__, 'Creativ_Business_Logo_Widget' );
