<div id="client-testimonial" class="relative">
	<div class="container">
		<?php if ( ! empty( $instance['section_title'] ) ) : ?>
	        <header class="entry-header align-center">
	            <h2 class="entry-title"><?php echo esc_html( $instance['section_title'] ); ?></h2>
	        </header>
	    <?php endif; ?>

	    <?php
	    $post_selector_pseudo_query = $instance['posts'];
	    $processed_query = siteorigin_widget_post_selector_process_query( $post_selector_pseudo_query );
	    $all_posts = get_posts( $processed_query  );

	    if ( ! empty( $all_posts ) ) : ?>

	  	<?php global $post; ?>

	    <div class="regular align-center" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": true, "arrows":false, "autoplay": true, "fade": true, "draggable": true }'>
	        <?php foreach ( $all_posts as $key => $post ) : ?>
	        <?php setup_postdata( $post ); ?>

	        <div class="slick-item">
				<div class="testimonial-wrapper">  
					<img src="<?php echo esc_url( get_the_post_thumbnail_url( $post_id ) ); ?>" alt="">
					<?php if ( false === $instance['settings']['disable_excerpt'] ): ?>
						<?php $excerpt_content = get_the_excerpt( $post ); ?>
						<div class="testimonial-description">
							<p><?php echo wp_kses_post( $excerpt_content ); ?></p>
						</div><!-- .testimonial-description -->
					<?php endif ?>

					<div class="position">
						<span class="client-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span>
	                </div><!-- .position -->
				</div><!-- .testimonial-wrapper -->
			</div><!-- .slick-item -->
	        <?php endforeach; ?>
	    </div><!-- .featured-slider-wrapper -->
    </div><!-- .container -->
</div><!-- #featured-slider -->

	<?php wp_reset_postdata(); // Reset. ?>

<?php endif;

